libfcitx-qt5-1_1.0.5-1_amd64.deb


Advertisement

Description

libfcitx-qt5-1 - Free Chinese Input Toy of X - D-Bus client libraries for Qt5

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libfcitx-qt5-1_1.0.5-1_amd64.deb
Package name libfcitx-qt5-1
Package version 1.0.5
Package release 1
Package architecture amd64
Package type deb
Category libs
Homepage http://www.fcitx-im.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 56.27 KB
Installed size 233.00 KB
Fcitx is the Free Chinese Input Toy of X, which was initially designed
for Chinese users, and used XIM protocol. Now it has already evolved
into a highly modularized, feature rich input method framework for
Unix-like platforms supporting a considerable amount of frontends,
backends and modules.
It offers a pleasant and modern experience, with intuitive graphical
configuration tools and customizable skins and mapping tables.
It is highly modularized and extensible,
with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
pure Xlib, GTK+, or KDE, and a developer-friendly API.
This package contains the following libraries:
* libFcitxQt5DBusAddons - D-Bus Addons library for Qt5
* libFcitxQt5WidgetsAddons - Widgets Addons library for Qt5

Alternatives

Package Version Architecture Repository
libfcitx-qt5-1_1.0.5-1build1~~xenialoverlay1~1_i386.deb 1.0.5 i386 Kubuntu Backports
libfcitx-qt5-1_1.0.5-1build1~~xenialoverlay1~1_amd64.deb 1.0.5 amd64 Kubuntu Backports
libfcitx-qt5-1_1.0.5-1_i386.deb 1.0.5 i386 Ubuntu Main
libfcitx-qt5-1 - - -

Requires

Name Value
libc6 >= 2.4
libfcitx-config4 >= 4.2.7
libfcitx-utils0 >= 4.2.7
libgcc1 >= 1:3.0
libqt5core5a >= 5.5.0
libqt5dbus5 >= 5.0.2
libqt5gui5 >= 5.0.2
libqt5gui5-gles >= 5.0.2
libqt5widgets5 >= 5.0.2
libstdc++6 >= 4.1.1

Replaces

Name Value
fcitx-libs-qt5 << 1.0.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libfcitx-qt5-1_1.0.5-1_amd64.deb
Source Package fcitx-qt5

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libfcitx-qt5-1 deb package:
    # sudo apt-get install libfcitx-qt5-1

Files

Path
/usr/lib/x86_64-linux-gnu/libFcitxQt5DBusAddons.so.1
/usr/lib/x86_64-linux-gnu/libFcitxQt5DBusAddons.so.1.0
/usr/lib/x86_64-linux-gnu/libFcitxQt5WidgetsAddons.so.1
/usr/lib/x86_64-linux-gnu/libFcitxQt5WidgetsAddons.so.1.0
/usr/share/doc/libfcitx-qt5-1/changelog.Debian.gz
/usr/share/doc/libfcitx-qt5-1/copyright

Changelog

2015-12-25 - Aron Xu <aron@debian.org>
fcitx-qt5 (1.0.5-1) unstable; urgency=medium
* Imported Upstream version 1.0.5
2015-10-30 - Aron Xu <aron@debian.org>
fcitx-qt5 (1.0.4-1) unstable; urgency=medium
* Imported Upstream version 1.0.4
* Update symbols
* Update path of CMake files
2015-02-10 - Aron Xu <aron@debian.org>
fcitx-qt5 (1.0.0-1) experimental; urgency=medium
* New upstream release.
* Update debian/copyright
* Bump package name to libfcitx-qt5-1.
* Add extra-cmake-modules to B-D
* Update install file and symbols
* Update homepage, update description of transitional package
2014-11-17 - Aron Xu <aron@debian.org>
fcitx-qt5 (0.1.2-4) experimental; urgency=medium
* Update symbols file for arm and power architectures.
2014-11-11 - Aron Xu <aron@debian.org>
fcitx-qt5 (0.1.2-3) experimental; urgency=medium
* Allow parallel building.
* Transit package names to libfcitx-qt5 and friends.
* Remove unused ${shlib:Depends}.
* Update copyright information.
* Disable DH_VERBOSE.
* Bump std-ver to 3.9.6
* Add symbols file for library package.
2014-07-06 - Aron Xu <aron@debian.org>
fcitx-qt5 (0.1.2-2) unstable; urgency=low
* Add libegl1-mesa-dev to B-D (Closes: #753204)
Thanks lisandro@d.o for the solution.
2014-05-29 - Aron Xu <aron@debian.org>
fcitx-qt5 (0.1.2-1) unstable; urgency=low
* New upstream release
2013-10-07 - Aron Xu <aron@debian.org>
fcitx-qt5 (0.1.1-3) unstable; urgency=low
* debian/control: recommends fcitc-frontend-qt5.
2013-10-06 - Aron Xu <aron@debian.org>
fcitx-qt5 (0.1.1-2) unstable; urgency=low
* Upload to unstable.
2013-05-15 - Aron Xu <aron@debian.org>
fcitx-qt5 (0.1.1-1) experimental; urgency=low
* Initial release (Closes: #708322).

See Also

Package Description
libfcitx-qt5-dev_1.0.5-1_amd64.deb Free Chinese Input Toy of X - Devel files for libfcitx-qt5
libfcitx-utils0_4.2.9.1-1ubuntu1_amd64.deb Flexible Input Method Framework - utility support library
libfdisk-dev_2.27.1-6ubuntu3_amd64.deb fdisk partitioning library - headers and static libraries
libfdisk1_2.27.1-6ubuntu3_amd64.deb fdisk partitioning library
libfdt-dev_1.4.0+dfsg-2_amd64.deb Flat Device Trees manipulation library - development files
libfdt1_1.4.0+dfsg-2_amd64.deb Flat Device Trees manipulation library
libffi-dev_3.2.1-4_amd64.deb Foreign Function Interface library (development files)
libffi6_3.2.1-4_amd64.deb Foreign Function Interface library runtime
libfftw3-bin_3.3.4-2ubuntu1_amd64.deb Library for computing Fast Fourier Transforms - Tools
libfftw3-dev_3.3.4-2ubuntu1_amd64.deb Library for computing Fast Fourier Transforms - development
libfftw3-doc_3.3.4-2ubuntu1_all.deb Documentation for fftw version 3
libfftw3-double3_3.3.4-2ubuntu1_amd64.deb Library for computing Fast Fourier Transforms - Double precision
libfftw3-long3_3.3.4-2ubuntu1_amd64.deb Library for computing Fast Fourier Transforms - Long precision
libfftw3-quad3_3.3.4-2ubuntu1_amd64.deb Library for computing Fast Fourier Transforms - Quad precision
libfftw3-single3_3.3.4-2ubuntu1_amd64.deb Library for computing Fast Fourier Transforms - Single precision
Advertisement
Advertisement